//Copyright (C)2014-2024 Gowin Semiconductor Corporation.
//All rights reserved.
//File Title: Template file for instantiation
//Tool Version: V1.9.11 (64-bit)
//Part Number: GW5A-LV25UG324ES
//Device: GW5A-25
//Device Version: A
//Created Time: Mon Dec  9 10:37:38 2024

//Change the instance name and port connections to the signal names
//--------Copy here to design--------

	MII_to_RMII_Top your_instance_name(
		.refclk(refclk), //input refclk
		.rstn(rstn), //input rstn
		.speedis_100(speedis_100), //input speedis_100
		.rmii_rx_crs_dv(rmii_rx_crs_dv), //input rmii_rx_crs_dv
		.rmii_rx_er(rmii_rx_er), //input rmii_rx_er
		.rmii_rxd(rmii_rxd), //input [1:0] rmii_rxd
		.rmii_tx_en(rmii_tx_en), //output rmii_tx_en
		.rmii_txd(rmii_txd), //output [1:0] rmii_txd
		.mii_rx_clk(mii_rx_clk), //output mii_rx_clk
		.mii_rx_dv(mii_rx_dv), //output mii_rx_dv
		.mii_rx_er(mii_rx_er), //output mii_rx_er
		.mii_rxd(mii_rxd), //output [3:0] mii_rxd
		.mii_tx_clk(mii_tx_clk), //output mii_tx_clk
		.mii_tx_en(mii_tx_en), //input mii_tx_en
		.mii_tx_er(mii_tx_er), //input mii_tx_er
		.mii_txd(mii_txd), //input [3:0] mii_txd
		.mii_col(mii_col), //output mii_col
		.mii_crs(mii_crs) //output mii_crs
	);

//--------Copy end-------------------
