//Copyright (C)2014-2024 Gowin Semiconductor Corporation.
//All rights reserved.
//File Title: Template file for instantiation
//Tool Version: V1.9.11 (64-bit)
//Part Number: GW5A-LV25UG324ES
//Device: GW5A-25
//Device Version: A
//Created Time: Mon Dec  9 10:37:54 2024

//Change the instance name and port connections to the signal names
//--------Copy here to design--------

	Triple_Speed_Ethernet_MAC_Top your_instance_name(
		.mii_rx_clk(mii_rx_clk), //input mii_rx_clk
		.mii_rxd(mii_rxd), //input [3:0] mii_rxd
		.mii_rx_dv(mii_rx_dv), //input mii_rx_dv
		.mii_rx_er(mii_rx_er), //input mii_rx_er
		.mii_tx_clk(mii_tx_clk), //input mii_tx_clk
		.mii_txd(mii_txd), //output [3:0] mii_txd
		.mii_tx_en(mii_tx_en), //output mii_tx_en
		.mii_tx_er(mii_tx_er), //output mii_tx_er
		.mii_col(mii_col), //input mii_col
		.mii_crs(mii_crs), //input mii_crs
		.duplex_status(duplex_status), //input duplex_status
		.rstn(rstn), //input rstn
		.rx_mac_clk(rx_mac_clk), //output rx_mac_clk
		.rx_mac_valid(rx_mac_valid), //output rx_mac_valid
		.rx_mac_data(rx_mac_data), //output [7:0] rx_mac_data
		.rx_mac_last(rx_mac_last), //output rx_mac_last
		.rx_mac_error(rx_mac_error), //output rx_mac_error
		.rx_statistics_valid(rx_statistics_valid), //output rx_statistics_valid
		.rx_statistics_vector(rx_statistics_vector), //output [26:0] rx_statistics_vector
		.tx_mac_clk(tx_mac_clk), //output tx_mac_clk
		.tx_mac_valid(tx_mac_valid), //input tx_mac_valid
		.tx_mac_data(tx_mac_data), //input [7:0] tx_mac_data
		.tx_mac_last(tx_mac_last), //input tx_mac_last
		.tx_mac_error(tx_mac_error), //input tx_mac_error
		.tx_mac_ready(tx_mac_ready), //output tx_mac_ready
		.tx_collision(tx_collision), //output tx_collision
		.tx_retransmit(tx_retransmit), //output tx_retransmit
		.tx_statistics_valid(tx_statistics_valid), //output tx_statistics_valid
		.tx_statistics_vector(tx_statistics_vector), //output [28:0] tx_statistics_vector
		.rx_fcs_fwd_ena(rx_fcs_fwd_ena), //input rx_fcs_fwd_ena
		.rx_jumbo_ena(rx_jumbo_ena), //input rx_jumbo_ena
		.rx_pause_req(rx_pause_req), //output rx_pause_req
		.rx_pause_val(rx_pause_val), //output [15:0] rx_pause_val
		.tx_fcs_fwd_ena(tx_fcs_fwd_ena), //input tx_fcs_fwd_ena
		.tx_ifg_delay_ena(tx_ifg_delay_ena), //input tx_ifg_delay_ena
		.tx_ifg_delay(tx_ifg_delay), //input [7:0] tx_ifg_delay
		.tx_pause_req(tx_pause_req), //input tx_pause_req
		.tx_pause_val(tx_pause_val), //input [15:0] tx_pause_val
		.tx_pause_source_addr(tx_pause_source_addr), //input [47:0] tx_pause_source_addr
		.clk(clk), //input clk
		.miim_phyad(miim_phyad), //input [4:0] miim_phyad
		.miim_regad(miim_regad), //input [4:0] miim_regad
		.miim_wrdata(miim_wrdata), //input [15:0] miim_wrdata
		.miim_wren(miim_wren), //input miim_wren
		.miim_rden(miim_rden), //input miim_rden
		.miim_rddata(miim_rddata), //output [15:0] miim_rddata
		.miim_rddata_valid(miim_rddata_valid), //output miim_rddata_valid
		.miim_busy(miim_busy), //output miim_busy
		.mdc(mdc), //output mdc
		.mdio_in(mdio_in), //input mdio_in
		.mdio_out(mdio_out), //output mdio_out
		.mdio_oen(mdio_oen) //output mdio_oen
	);

//--------Copy end-------------------
